Page MenuHomePhabricator

reclaim to spares: cp1056, cp1057, cp1069, cp1070
Closed, ResolvedPublic

Description

cp1056, cp1057, cp1069, cp1070 were software-decommed from their old cache roles in T125486. They're still booted and puppeting, using just include standard for puppet in site.pp. They need standard wipe and decom (or reclaim/spare).

All of these systems are still in warranty until 2016-06-04, so they'll be wiped and returned to the spares pool

cp1056-57 and cp1069-70

  • - change hostname/visible label field to asset tag
  • - remove from site.pp
  • - remove production dns entries, remove hostname mgmt entires but ensure asset tag entries exist for mgmt
  • - remove puppet/salt/puppetdb
  • - remove/disable monitoring (puppetdb+icinga puppet run)
  • - power down system
  • - disable the switch port, rename port back to asset tag, remove from vlan
  • - wipe disks
  • - once wipe is complete, return system to powered down state
  • - update the spares tracking sheet to list this server

Event Timeline

BBlack created this task.Mar 24 2016, 9:06 PM
Restricted Application added a project: Operations. · View Herald TranscriptMar 24 2016, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH renamed this task from decom cp1056, cp1057, cp1069, cp1070 to reclaim to spares: cp1056, cp1057, cp1069, cp1070.Mar 24 2016, 9:26 PM
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)
Cmjohnson updated the task description. (Show Details)Mar 29 2016, 8:57 PM
Cmjohnson added a subscriber: Cmjohnson.

racktables updated

Cmjohnson closed this task as Resolved.Apr 12 2016, 6:33 PM
Cmjohnson claimed this task.
Cmjohnson updated the task description. (Show Details)

completed

Change 436021 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Found old ipv6 dns for cp1069/1070

https://gerrit.wikimedia.org/r/436021

Change 436021 merged by Cmjohnson:
[operations/dns@master] Found old ipv6 dns for cp1069/1070

https://gerrit.wikimedia.org/r/436021